std::allocator< _Tp > Class Template Reference
Utilities » Memory » Allocators
Inheritance diagram for std::allocator< _Tp >:
[legend]

## Public Types

typedef const _Tp * | const_pointer
typedef const _Tp & | const_reference
typedef ptrdiff_t | difference_type
typedef _Tp * | pointer
typedef true_type | propagate_on_container_move_assignment
typedef _Tp & | reference
typedef size_t | size_type
typedef _Tp | value_type

## Public Member Functions

| allocator (const allocator &__a) throw ()
template<typename _Tp1 >
| allocator (const allocator< _Tp1 > &) throw ()
pointer | address (reference __x) const noexcept
const_pointer | address (const_reference __x) const noexcept
pointer | allocate (size_type __n, const void *=static_cast< const void *>(0))
template<typename _Up , typename... _Args>
void | construct (_Up *__p, _Args &&... __args)
void | deallocate (pointer __p, size_type)
template<typename _Up >
void | destroy (_Up *__p)
size_type | max_size () const noexcept

## Detailed Description

### template<typename _Tp>
class std::allocator< _Tp >

The standard allocator, as per [20.4].

See https://gcc.gnu.org/onlinedocs/libstdc++/manual/memory.html#std.util.memory.allocator for further details.

Template Parameters

  _Tp | Type of allocated object.

Definition at line 101 of file allocator.h.

The documentation for this class was generated from the following file:

- allocator.h